// slider field, toggle bar
//.mat-slide-toggle mat-slide-toggle-bar 
// .mat-slide-toggle-input .mat-slide-toggle-thumb-container .mat-slide-toggle-thumb
.mat-slide-toggle.mat-checked:not(.mat-disabled) .mat-slide-toggle-bar {
    background-color: rgba(103, 58, 183, .54);
  }
// slider button  toggle thumb
.mat-slide-toggle.mat-checked:not(.mat-disabled) .mat-slide-toggle-thumb {
    background-color:  #003f97;
  }

  .mat-mdc-slide-toggle .mdc-switch{
    background-color:  #003f97;
  }

  //.mcd-switch--unselected

  //mat-mdc-slide-toggle-1-label (aria-labelledby)

.jobCards {
  padding: 1% !important;
  width: 100%;
}

.responsive-job-card {
  width: 100%;
  /*flex-shrink: 1;*/
  /*flex-grow: 1;*/
  min-height: 0;
  display: flex;
  flex-direction: column;
}

.min-w-600 {
  min-width: 600px !important;
}

.horizontally-centered-item {
  grid-column-start: center-left;
}

.card-title-button-wrapper {
  float: right;
  font-size: 14px;
}

.table-element-row {
  cursor: pointer;
}

.table-element-row:hover {
  background: #f5f5f5;
}

.table-highlight-row {
  background: #ffdbd6;
}

.table-highlight-row:hover {
  background: #f5d3d3;
  cursor: pointer;
}


.content-grid-container {
  height: 100%;
  box-sizing: border-box;
  padding-top: 3rem;
  padding-bottom: 3rem;
  display: grid;
  grid-template-columns:
    [left] minmax(250px, 1fr) [center-left] minmax(600px, 2fr) [center-right] 1fr [right];
  grid-gap: 1rem;
  justify-items: stretch;
}
